LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XExtendedFilterDetection Interface Referencepublished

use com::sun::star::document::XExtendedFilterDetection instead of this More...

`import "XExtendedFilterDetection.idl";`

Inheritance diagram for XExtendedFilterDetection:

## Public Member Functions
string | detect ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Argumentlist)
| use com::sun::star::document::XExtendedFilterDetection::detect() instead of this
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

use com::sun::star::document::XExtendedFilterDetection instead of this

Deprecated

## Member Function Documentation

## ◆ detect()

string detect | ( | [in] string | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Argumentlist )

use com::sun::star::document::XExtendedFilterDetection::detect() instead of this

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XExtendedFilterDetection.idl